Bug 511306 - devtodo should build with compat-readline5-devel
devtodo should build with compat-readline5-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: devtodo (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 511295
  Show dependency treegraph
 
Reported: 2009-07-14 12:26 EDT by Miroslav Lichvar
Modified: 2012-07-20 22:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 22:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch (759 bytes, patch)
2009-07-14 12:26 EDT, Miroslav Lichvar
no flags Details | Diff

  None (edit)
Description Miroslav Lichvar 2009-07-14 12:26:33 EDT
Created attachment 351629 [details]
Suggested patch

Description of problem:
The readline package in rawhide will be soon updated to new 6.0 release which changes the license to GPLv3+. As devtodo is GPLv2, it should be built with the older readline (packaged in compat-readline5) to avoid licensing incompatibility or switched to libedit which is compatible with GPLv3, but doesn't support UTF-8.
Comment 1 Bug Zapper 2009-11-16 05:51:03 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 06:47:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Miroslav Lichvar 2010-11-04 06:55:35 EDT
Still linked with readline6.
Comment 4 Bernie Innocenti 2010-11-04 19:07:36 EDT
I asked the author if the code could be relicensed as GPLv2+ or GPLv3 to solve the issue.

Licensing terms of devtodo weren't very clear, it's possible that the GPLv2-only license was chosen unintentionally.
Comment 5 Patrick Uiterwijk 2012-07-11 13:54:43 EDT
I have taken over this package, and reassigned this bug to myself.

I will look into this soon, and maybe patch (if still nessecary).
Comment 6 Fedora Update System 2012-07-11 14:29:45 EDT
devtodo-0.1.20-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/devtodo-0.1.20-8.fc17
Comment 7 Fedora Update System 2012-07-11 14:30:18 EDT
devtodo-0.1.20-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/devtodo-0.1.20-8.fc16
Comment 8 Patrick Uiterwijk 2012-07-11 14:31:13 EDT
I have applied the patch suggested by Miroslav Lichvar, thank you very much!
Comment 9 Fedora Update System 2012-07-12 14:59:11 EDT
Package devtodo-0.1.20-8.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing devtodo-0.1.20-8.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10587/devtodo-0.1.20-8.fc17
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-07-20 22:49:44 EDT
devtodo-0.1.20-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-07-20 22:51:03 EDT
devtodo-0.1.20-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.